> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a vulnerability



## OpenAPI

````yaml /api/openapi.yaml get /vulnerabilities/{id}
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /vulnerabilities/{id}:
    get:
      tags:
        - Vulnerabilities
      summary: Get a vulnerability
      operationId: getVulnerability
      parameters:
        - $ref: '#/components/parameters/VulnerabilityId'
      responses:
        '200':
          description: Vulnerability details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VulnerabilityDetail'
components:
  parameters:
    VulnerabilityId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    VulnerabilityDetail:
      allOf:
        - $ref: '#/components/schemas/VulnerabilitySummary'
        - type: object
          required:
            - description
            - proof
            - cwe
            - evidence_ids
          properties:
            description:
              type: string
            proof:
              type: object
              required:
                - request
                - response
              properties:
                request:
                  type: string
                response:
                  type: string
            cwe:
              type:
                - string
                - 'null'
            evidence_ids:
              type: array
              items:
                type: string
                format: uuid
    VulnerabilitySummary:
      type: object
      required:
        - id
        - run_id
        - status
        - severity
        - title
        - endpoint
        - assignee
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        run_id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/VulnerabilityStatus'
        severity:
          $ref: '#/components/schemas/Severity'
        title:
          type: string
        endpoint:
          type: string
        assignee:
          type:
            - string
            - 'null'
        created_at:
          $ref: '#/components/schemas/Timestamp'
        updated_at:
          $ref: '#/components/schemas/Timestamp'
    VulnerabilityStatus:
      type: string
      enum:
        - open
        - in_progress
        - remediated
        - verified
        - accepted_risk
    Severity:
      type: string
      enum:
        - critical
        - high
        - medium
        - low
    Timestamp:
      type: string
      format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````